### Function

# ECal Client tzlookup_cb

since: 3.34

#### Declaration [src]

    ICalTimezone*
    e_cal_client_tzlookup_cb (
      const gchar* tzid,
      ECalClient* ecalclient,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

An implementation of the `ECalRecurResolveTimezoneCb` callback which clients can use. Calls e_cal_client_get_timezone_sync().

The returned timezone object, if not `NULL`, is owned by the `ecalclient`.

Available since: 3.34

#### Parameters

`tzid`

  Type: `const gchar*`

  ID of the timezone to lookup.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`ecalclient`

  Type: `ECalClient`

  A valid `ECalClient` pointer.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  An optional `GCancellable` to use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `None`

A timezone object, or `NULL` on failure or when not found.

The data is owned by the called function.
The return value can be `NULL`.